<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [httpworm](./bitburner.ns.httpworm.md)

## NS.httpworm() method

Runs HTTPWorm.exe on a server.

**Signature:**

```typescript
httpworm(host: string): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

host


</td><td>

string


</td><td>

Hostname/IP of the target server.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if the player runs the program successfully, and false otherwise.

## Remarks

RAM cost: 0.05 GB

Runs the HTTPWorm.exe program on the target server. HTTPWorm.exe must exist on your home computer.

## Example


```js
ns.httpworm("foodnstuff");
```

